QuantLib: UsdLiborSwapIsdaFixAm Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UsdLiborSwapIsdaFixAm Class Reference

UsdLiborSwapIsdaFixAm index base class More...

`#include <ql/indexes/swap/usdliborswap.hpp>`

Inheritance diagram for UsdLiborSwapIsdaFixAm:
[legend]

## Public Member Functions
| UsdLiborSwapIsdaFixAm (const Period &tenor, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
| UsdLiborSwapIsdaFixAm (const Period &tenor, const Handle< YieldTermStructure > &forwarding, const Handle< YieldTermStructure > &discounting)
Public Member Functions inherited from SwapIndex
| SwapIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, Currency currency, const Calendar &fixingCalendar, const Period &fixedLegTenor, BusinessDayConvention fixedLegConvention, const DayCounter &fixedLegDayCounter, const boost::shared_ptr< IborIndex > &iborIndex)
| SwapIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, Currency currency, const Calendar &fixingCalendar, const Period &fixedLegTenor, BusinessDayConvention fixedLegConvention, const DayCounter &fixedLegDayCounter, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< YieldTermStructure > &discountingTermStructure)
Date | maturityDate (const Date &valueDate) const
Period | fixedLegTenor () const
BusinessDayConvention | fixedLegConvention () const
boost::shared_ptr< IborIndex > | iborIndex () const
Handle< YieldTermStructure > | forwardingTermStructure () const
Handle< YieldTermStructure > | discountingTermStructure () const
bool | exogenousDiscount () const
boost::shared_ptr< VanillaSwap > | underlyingSwap (const Date &fixingDate) const
virtual boost::shared_ptr< SwapIndex > | clone (const Handle< YieldTermStructure > &forwarding) const
| returns a copy of itself linked to a different forwarding curve
virtual boost::shared_ptr< SwapIndex > | clone (const Handle< YieldTermStructure > &forwarding, const Handle< YieldTermStructure > &discounting) const
| returns a copy of itself linked to different curves
virtual boost::shared_ptr< SwapIndex > | clone (const Period &tenor) const
| returns a copy of itself with different tenor
Public Member Functions inherited from InterestRateIndex
| InterestRateIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &fixingCalendar, const DayCounter &dayCounter)
std::string | name () const
| Returns the name of the index. More...
Calendar | fixingCalendar () const
| returns the calendar defining valid fixing dates
bool | isValidFixingDate (const Date &fixingDate) const
| returns TRUE if the fixing date is a valid one
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
| returns the fixing at the given date More...
void | update ()
std::string | familyName () const
Period | tenor () const
Natural | fixingDays () const
Date | fixingDate (const Date &valueDate) const
const Currency & | currency () const
const DayCounter & | dayCounter () const
virtual Date | valueDate (const Date &fixingDate) const
Rate | pastFixing (const Date &fixingDate) const
Public Member Functions inherited from Index
const TimeSeries< Real > & | timeSeries () const
| returns the fixing TimeSeries
virtual bool | allowsNativeFixings ()
| check if index allows for native fixings. More...
virtual void | addFixing (const Date &fixingDate, Real fixing, bool forceOverwrite=false)
| stores the historical fixing at the given date More...
void | addFixings (const TimeSeries< Real > &t, bool forceOverwrite=false)
| stores historical fixings from a TimeSeries More...
template<class DateIterator , class ValueIterator >
void | addFixings (DateIterator dBegin, DateIterator dEnd, ValueIterator vBegin, bool forceOverwrite=false)
| stores historical fixings at the given dates More...
void | clearFixings ()
| clears all stored historical fixings
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Member Functions inherited from SwapIndex
Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.
Protected Attributes inherited from SwapIndex
Period | tenor_
boost::shared_ptr< IborIndex > | iborIndex_
Period | fixedLegTenor_
BusinessDayConvention | fixedLegConvention_
bool | exogenousDiscount_
Handle< YieldTermStructure > | discount_
boost::shared_ptr< VanillaSwap > | lastSwap_
Date | lastFixingDate_
Protected Attributes inherited from InterestRateIndex
std::string | familyName_
Period | tenor_
Natural | fixingDays_
Currency | currency_
DayCounter | dayCounter_
std::string | name_

## Detailed Description

UsdLiborSwapIsdaFixAm index base class

USD Libor Swap indexes fixed by ISDA in cooperation with Reuters and Intercapital Brokers at 11am New York. Semiannual 30/360 vs 3M Libor. Reuters page ISDAFIX1 or USDSFIX=.

Further info can be found at http://www.isda.org/fix/isdafix.html or Reuters page ISDAFIX.